Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.util
Class MethodInvocationBuilder

    java.lang.Object
      org.apache.tapestry5.internal.util.MethodInvocationBuilder

    public final class MethodInvocationBuilder

extends java.lang.Object

A utility class for building part of a method body to invoke a method. Analyzes the method and matches parameter types to ParameterBuilders.

Constructor Summary
`MethodInvocationBuilder()`

Method Summary
`void` | `addParameter(java.lang.String parameterType, ParameterBuilder builder)` Maps a parameter type to a `ParameterBuilder`.
`void` | `addParameter(java.lang.String parameterType, java.lang.String expression)` Maps a parameter type to a literal string to be used for the parameter expression.
`java.lang.String` | `buildMethodInvocation(TransformMethodSignature signature, ClassTransformation transformation)` Builds the method invocation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodInvocationBuilder

    public MethodInvocationBuilder()

Method Detail

### addParameter

    public void addParameter(java.lang.String parameterType,
                             ParameterBuilder builder)

  Maps a parameter type to a `ParameterBuilder`.

### addParameter

    public void addParameter(java.lang.String parameterType,
                             java.lang.String expression)

  Maps a parameter type to a literal string to be used for the parameter expression.

  See Also:
    `StringParameterBuilder`

### buildMethodInvocation

    public java.lang.String buildMethodInvocation(TransformMethodSignature signature,
                                                  ClassTransformation transformation)

  Builds the method invocation. Analyzes the type of each parameter to the method, and uses a `ParameterBuilder` to provide the expression. Supplies a default value (usually null) for any parameters that do not have parameter builders.

  Parameters:
    `signature` - of the method to invoke
    `transformation` -
  Returns:
    method invocation expression
  See Also:
    `TransformUtils.getDefaultValue(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.